### Method

# GnomeAutoar Extractor set_passphrase

#### Declaration [src]

    void
    autoar_extractor_set_passphrase (
      AutoarExtractor* self,
      const gchar* passphrase
    )

#### Description [src]

Sets a passphrase to use if the file to decompress is passphrase-protected.

#### Parameters

`passphrase`

  Type: `const gchar*`

  A string with the passphrase to use.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.